.Dd 2017-03-31
.Dt TLOCK 1
.Os
.Sh NAME
.Nm tlock
.Nd Lock the terminal in a manner suitable for tmux
.Sh SYNOPSIS
.Nm
.Sh DESCRIPTION
.Nm
Ignores signals, draws a background, and repeatedly runs a test
.Nm su
until that command succeeds. After the first failure, the screen
turns red, which allows you to know if someone has attempted to log
in while you were away.
.Pp
After a correct login is given,
.Nm
exits.
.Sh FILES
Since
.Nm
relies on
.Xr su 1
for authentication, it is recommended to adjust
.Pa login.defs
to allow only one authentication
.Pq otherwise things look sort of ugly .
.Sh EXAMPLES
To run from the terminal,
.Dl % tlock
.Pp
To use from
.Xr tmux 1 , 
ensure
.Pa .tmux.conf
contains
.Dl set -g lock-command tlock
and see the
.Ic lock-server
command.
.Sh SEE ALSO
.Xr vlock 1
.Xr slock 1
.Xr lock 1
.Xr tmux 1
.Xr su 1
.Xr login.defs 5
.Sh AUTHORS
.An S. Gilles Aq Mt sgilles@math.umd.edu
